/*******************************************************************************
* File Name: main.c
 *
 * Copyright CONSULTRON, 2020
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONSULTRON allows PUBLIC use of the file.
 * CONSULTRON provides NO WARRANTY expressed or implied.
*/
/*******************************************************************************
 * 
 * This is a simple demo Term 
 *
 * This demo was compiled for a CY8CKIT-059.  It can be adapted for any PSoC5.
 * Operation: 
 * The Build info (projectname and version) and a incrementing count is printed to the Terminal program.
 * If you type any characters in the Terminal program, it will be echoed to the Terminal program.
*/
/*******************************************************************************
*/
#include "project.h"
#include "version.h"
#include <stdio.h>


#define STRINGIFY(x) #x
#define TOSTRING(x) STRINGIFY(x)

_Bool sec_1 = 0;
//---------------------------------------------------------------------
CY_ISR(isr_systick_0)
{
static int16_t i = 0;
	i++;
	if(i >= 1000) {sec_1 = 1; i=0; }
}

//---------------------------------------------------------------------
int main(void)
{
char tstr[100];

    CyGlobalIntEnable; /* Enable global interrupts. */
	Term_Start();
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
	CySysTickStart();
	CySysTickSetCallback(0,&isr_systick_0);

    for(;;)
    {
	static uint32_t count;
	char c;

		while(sec_1 == 0)
		{	// loop while flag not set
			if( (c= Term_GetChar()) != '\0') /* If there is an input character */
			{                                
				Term_USBUART_PutChar(c);     /* Echo back to the same port */
			}
		}
		sec_1 = 0;	// reset the flag
		PIN_LED_BLUE_Write(1);
		snprintf(tstr, sizeof(tstr), "%s %s count=%u\t\t", CY_PROJECT_NAME, TOSTRING(SW_VER_REV_REL), count);
		Term_PutString(tstr);
		count++;
		PIN_LED_BLUE_Write(0);
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
